Blocklist / REST API

Check blocklist

Check if a LinkedIn profile is blocklisted. Domains and email addresses are not supported.

POST /api/mcp/blocklist/checkDeterministic operation

Parameters

workspaceIdOptional · string
Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
valueRequired · string
See the input schema for this field.
Request example
curl -X POST "https://app.pipeline.help/api/mcp/blocklist/check" \
  -H "Authorization: Bearer $PIPELINE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"value":"example"}'
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string",
      "minLength": 1,
      "description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
    },
    "value": {
      "type": "string"
    }
  },
  "required": [
    "value"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview